### Function

# Gimp edit_paste_as_new_image

#### Declaration [src]

    GimpImage*
    gimp_edit_paste_as_new_image (
      void
    )

#### Description [src]

Paste buffer to a new image.

This procedure pastes a copy of the internal GIMP edit buffer to a new image. The GIMP edit buffer will be empty unless a call was previously made to either `gimp_edit_cut()` or gimp_edit_copy(). This procedure returns the new image or -1 if the edit buffer was empty.

Available since: | 2.10

#### Return value

Returns: | `GimpImage`
| The new image.
| The data is owned by the called function.